%global gtksourceview_lang_file %{_datadir}/gtksourceview-3.0/language-specs/ascend.lang
%global johnpye %{_libdir}/ascend/models/johnpye
%global models %{_libdir}/ascend/models

# Filtering of private libraries
%global privlibs libbboxtest_ascend
%global privlibs %{privlibs}|libdopri5_ascend
%global privlibs %{privlibs}|libfinitediff_ascend
%global privlibs %{privlibs}|liblrslv_ascend
%global privlibs %{privlibs}|liblsode_ascend
%global privlibs %{privlibs}|libqrslv_ascend
%global privlibs %{privlibs}|libsensitivity_ascend
%global privlibs %{privlibs}|libsolve_ascend
%global privlibs %{privlibs}|libbrent_ascend
%global privlibs %{privlibs}|libdatareader_ascend
%global privlibs %{privlibs}|libextfntest_ascend
%global privlibs %{privlibs}|libextpy_ascend
%global privlibs %{privlibs}|libfprops_ascend
%global privlibs %{privlibs}|libheatex_pinch_ascend
%global privlibs %{privlibs}|libsunpos_ascend
%global privlibs %{privlibs}|libsunpos_nrel_ascend
%global privlibs %{privlibs}|libplanck_ascend

%global __provides_exclude ^(%{privlibs})\\.so
%global __requires_exclude ^(%{privlibs})\\.so
#

%global with_tcltk 1
%global with_check 0
%global with_doc 0

%global checkout 3100
%global date 20151003

%if 0%{?with_tcltk}
%{!?tcl_version: %global tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %global tcl_sitearch %{_libdir}/tcl%{tcl_version}}
%{!?tcl_sitelib: %global tcl_sitelib %{_datadir}/tcl%{tcl_version}}
%{!?tcl_siteinc: %global tcl_siteinc %{_includedir}/tcl%{tcl_version}}
%endif

Name: ascend
Summary: ASCEND modelling environment
Version: 0.9.10
Release: 11.%{date}svn%{checkout}%{?dist}
License: GPLv2+
URL: http://ascend4.org/

## Source archive from svn #4695; obtained by:
## svn co http://svn.ascend4.org/trunk/ ascend
## tar -czvf  ascend-svn3100.tar.gz ascend
Source0: %{name}-svn%{checkout}.tar.gz

##Fix building optimization flags 
Patch0: %{name}-optflags.patch

## error: expected identifier or '(' before 'extension'
Patch1: %{name}-mmio.patch

##This patch is needed to compile IDA solver with sundials-2.5.0
##http://bugs.ascend4.org/view.php?id=559
Patch2: %{name}-idasolver.patch

##Fix python-code blocks (bz#1196699)
Patch3: %{name}-fix_pythoncode_blocks.patch

##http://bugs.ascend4.org/view.php?id=583
Patch4: %{name}_tcltk.patch

##Curve default constructor public with GCC6
Patch5: %{name}-curve.patch

#------ build dependencies -------
BuildRequires: scons
BuildRequires: bison
BuildRequires: flex
BuildRequires: swig
BuildRequires: gcc-gfortran
BuildRequires: blas-devel
BuildRequires: sundials-devel
BuildRequires: coin-or-Ipopt-devel
BuildRequires: MUMPS-devel
BuildRequires: graphviz-devel
BuildRequires: python2-devel, pygtksourceview
BuildRequires: desktop-file-utils
BuildRequires: swig
BuildRequires: libappstream-glib

#-------build dependencies for tests
BuildRequires: CUnit-devel

# ...pygtk
Requires: pygtk2 >= 2.6
Requires: pygtk2-libglade
Requires: python-matplotlib
Requires: numpy
Requires: python-ipython

# syntax highlighting for gedit
Requires: gtksourceview3

Requires: graphviz%{?_isa}
Requires: gcc-gfortran%{?_isa}

Obsoletes: %{name}-libs

%description
ASCEND IV is both a large-scale object-oriented mathematical
modeling environment and a strongly typed mathematical modeling
language. Although ASCEND has primarily been developed by Chemical
Engineers, great care has been exercised to assure that it is
domain independent. ASCEND can support modeling activities in
fields from Architecture to (computational) Zoology.

%package devel
Summary: Ascend header files
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
Developer files for ASCEND, in the form for C header files for the core
ASCEND library, 'libascend'.

%package data
Summary: Ascend data files
Requires: %{name}%{?_isa} = %{version}-%{release}
%description data
Ascend code for library models and example models.
Files have 5 extensions:

.a4s:  A Script (tcl) for loading in the ASCEND script window.
.a4l:  A library of reusable models. Each library contains enough
       test models to be self-validating and self-documenting.
.a4c:  Model code examples and demos.
.a4v:  A file of saved values from a simulation.
.tcl:  Auxillary TCL scripts for performing miscellaneous tasks
       related to modeling that the user may wish to copy and
       modify: for example, the user can create many permutations
       on the set_intervals.tcl functions which specify a
       time sampling schedule for the integrators.

%if 0%{?with_tcltk}
%package -n %{name}-tcltk
Summary: Tcl/Tk user interface for ASCEND
BuildRequires: tcl-devel, tk-devel
Requires: tcl(abi) = 8.6
Requires: tktable
Requires: %{name}%{?_isa} = %{version}-%{release}

%description -n %{name}-tcltk
Tcl/Tk user interface for ASCEND. This is the original ASCEND IV interface
and is a more complete and mature interface than the alternative PyGTK
interface. Use this interface if you need to use ASCEND *.a4s files or other
functionality not provided by the PyGTK interface.
%endif

%if 0%{?with_doc}
%package doc
Summary: Documentation for ASCEND
Group: Applications/Engineering
BuildArch: noarch
%description doc
Documentation for ASCEND, in the form of a PDF User's Manual.
%endif

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%if 0%{?fedora} > 23
%patch5 -p0
%endif

sed -e 's|@@lib@@|%{_lib}|g' -i SConstruct
sed -e 's|@@libdir@@|%{_libdir}|g' -i SConstruct

## Optimization flags of compiler/linker are set manually
sed -e 's|@@OPTFLAGS@@|"%{optflags} -Wl,-z,relro -pie -Wl,-z,now"|g' -i SConstruct
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -pie -Wl,-z,now"|g' -i SConstruct
sed -e 's|@@OPTFLAGS@@|"%{optflags} -Wl,-z,relro -Wl,-z,now"|g' -i ascxx/Makefile.bt
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i ascxx/Makefile.bt
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i ascxx/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i solvers/lsode/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i solvers/dopri5/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i solvers/ida/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i solvers/ipopt/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i solvers/lrslv/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i solvers/qrslv/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i models/johnpye/fprops/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -pie -Wl,-z,now"|g' -i models/johnpye/fprops/test/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i models/johnpye/brent/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i models/johnpye/datareader/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i models/johnpye/extfn/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i models/johnpye/grena/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i models/johnpye/nrel/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i models/johnpye/planck/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i models/sensitivity/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i models/test/blackbox/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i models/johnpye/fprops/python/SConscript
sed -e 's|@@LDFLAGS@@|"%{__global_ldflags} -Wl,-z,now"|g' -i tcltk/interface/SConscript

mv models/johnpye/fprops/README.txt models/johnpye/fprops/README-fprops.txt
mv models/johnpye/grena/README.txt models/johnpye/grena/README-grena.txt
mv models/README.txt models/README-models.txt
mv models/johnpye/fprops/test/README.txt models/johnpye/fprops/test/README-fpropstest.txt
mv models/test/link/README.txt models/test/link/README-DanteStroeLINK.txt

%build
export LDFLAGS="%{__global_ldflags} -Wl,-z,now"
scons %{?_smp_mflags} \
 INSTALL_ROOT=%{buildroot} \
 INSTALL_PREFIX=%{_prefix} \
 INSTALL_SHARE=%{_datadir} \
 INSTALL_BIN=%{_bindir} \
 INSTALL_INCLUDE=%{_includedir} \
 INSTALL_LIB=%{_libdir} \
 DEBUG=0 \
 WITH_DOC_BUILD=no \
 WITH_DOC_INSTALL=no \
 WITH_PYTHON=yes \
 WITH_GRAPHVIZ=yes \
 IPOPT_CPPPATH=%{_includedir}/coin \
 IPOPT_LIBPATH=%{_libdir} \
 IPOPT_LIBS="%(pkg-config --libs ipopt)" \
 WITH_SOLVERS=QRSLV,LSODE,LRSLV,DOPRI5,IDA,IPOPT \
 ABSOLUTE_PATHS=no \
%if 0%{?with_check}
 WITH_CUNIT=yes \
 CUNIT_CPPPATH=%{_includedir}/CUnit \
 CUNIT_LIBPATH=%{_libdir} \
 CUNIT_PREFIX=%{_prefix} \
%else
 WITH_CUNIT=no \
%endif
%if 0%{?with_tcltk}
 WITH_TCLTK=yes \
 TCL_LIBPATH=%{tcl_sitearch} \
 TCL_CPPPATH=%{tcl_siteinc} \
%else
  WITH_TCLTK=no \
%endif
%if 0%{?with_tcltk} && 0%{?with_check}
 ascend ascxx pygtk models solvers tcltk test
%endif
%if 0%{?with_tcltk} && !%{?with_check}
 ascend ascxx pygtk models solvers tcltk
%endif
%if !%{?with_tcltk} && !%{?with_check}
 ascend ascxx pygtk models solvers
%endif

%install
scons PREFIX=%{_prefix} LIBDIR=%{_libdir} install

ln -sf libascend.so.1.0 %{buildroot}%{_libdir}/libascend.so.1
ln -sf libascend.so.1.0 %{buildroot}%{_libdir}/libascend.so

# Install menu entry for PyGTK interface, gtksourceview syntax highlighting, and MIME definition
pushd pygtk/gnome
install -p -m 644 -D %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -p -m 644 -D %{name}.png %{buildroot}%{_datadir}/icons/%{name}-app.png
install -p -m 644 -D %{name}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/%{name}.png
install -p -m 644 -D %{name}.xml %{buildroot}%{_datadir}/mime/packages/%{name}.xml
popd

# file-type icon for ascend models (double click should open in ASCEND)
pushd pygtk/glade
install -p -m 644 -D %{name}-doc-48x48.svg %{buildroot}%{_datadir}/icons/text-x-%{name}-model.svg
popd

# language file for use with gedit
pushd tools/gtksourceview-2.0
install -p -m 644 -D %{name}.lang %{buildroot}%{gtksourceview_lang_file}
popd

# fix Python2 shebang
sed -e 's|/usr/bin/python|%{__python2}|g' -i %{buildroot}%{_bindir}/ascend
sed -e 's|/usr/bin/python|%{__python2}|g' -i %{buildroot}%{_bindir}/ascend-config

%if 0%{?with_tcltk}
# Install menu entry for Tcl/Tk interface
pushd tcltk/gnome
install -p -m 644 -D %{name}4.desktop %{buildroot}%{_datadir}/applications/%{name}4.desktop
install -p -m 644 -D %{name}4.png %{buildroot}%{_datadir}/icons/%{name}4-app.png
install -p -m 644 -D %{name}4.png %{buildroot}%{_datadir}/icons/hicolor/64x64/%{name}4.png
popd

mkdir -p %{buildroot}%{tcl_sitelib}/%{name}%{version}
mkdir -p %{buildroot}%{tcl_sitearch}
mv %{buildroot}%{_datadir}/%{name}/tcltk/* $RPM_BUILD_ROOT%{tcl_sitelib}/%{name}%{version}
mv %{buildroot}%{_datadir}/%{name}/tcltk/.xf-save-modules $RPM_BUILD_ROOT%{tcl_sitelib}/%{name}%{version}
mv %{buildroot}%{_libdir}/libascendtcl.so $RPM_BUILD_ROOT%{tcl_sitearch}
%endif

##Tricks
%if 0%{?with_tcltk}
desktop-file-install \
 --set-icon=ascend4-app \
 --remove-key=Encoding \
 --set-key=Exec \
  --set-value="%{_bindir}/env ASCENDTK=%{tcl_sitelib}/%{name}%{version} \
   LD_LIBRARY_PATH=%{tcl_sitearch} ASCENDSOLVERS=%{_libdir}/%{name}/solvers \
   ASCENDLIBRARY=%{models} ASCENDBITMAPS=%{tcl_sitelib}/%{name}%{version}/bitmaps %{_bindir}/%{name}4" \
%{buildroot}/%{_datadir}/applications/%{name}4.desktop

# Merge applications into one software center item
#
mkdir -p %{buildroot}%{_datadir}/appdata
cat > %{buildroot}%{_datadir}/appdata/%{name}4.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<component type="desktop">
  <id>%{name}4.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>TclTk GUI of ASCEND</summary>
  <name>ascend4</name>
  <project_license>GPL-2.0+</project_license>
  <categories>
   <category>Science</category>
  </categories>
  <description>
    <p>
    ASCEND IV is both a large-scale object-oriented mathematical
    modeling environment and a strongly typed mathematical modeling
    language. Although ASCEND has primarily been developed by Chemical
    Engineers, great care has been exercised to assure that it is
    domain independent. ASCEND can support modeling activities in
    fields from Architecture to (computational) Zoology.
    </p>
  </description>
  <url type="homepage">http://ascend4.org/</url>
  <screenshots>
    <screenshot type="default">
     <image>https://sagitter.fedorapeople.org/ascend-screenshots/ascend-tcltk.png></image>
    </screenshot>
  </screenshots>
  <updatecontact>sagitter_at_fedoraproject.org</updatecontact>
  <url type="bugtracker">http://bugs.ascend4.org/</url>
</component>
EOF
%endif

# Fix .desktop files entries
desktop-file-install \
 --set-icon=ascend-app \
 --remove-key=Encoding \
 --set-key=Exec \
  --set-value="%{_bindir}/env ASCENDSOLVERS=%{_libdir}/%{name}/solvers \
   ASCENDLIBRARY=%{models} %{_bindir}/%{name}" \
%{buildroot}/%{_datadir}/applications/%{name}.desktop

# Merge applications into one software center item
#
mkdir -p %{buildroot}%{_datadir}/appdata
cat > %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<component type="desktop">
  <id>%{name}.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>PyGTK GUI of ASCEND</summary>
  <name>ascend</name>
  <project_license>GPL-2.0+</project_license>
  <categories>
   <category>Science</category>
  </categories>
  <description>
    <p>
    ASCEND IV is both a large-scale object-oriented mathematical
    modeling environment and a strongly typed mathematical modeling
    language. Although ASCEND has primarily been developed by Chemical
    Engineers, great care has been exercised to assure that it is
    domain independent. ASCEND can support modeling activities in
    fields from Architecture to (computational) Zoology.
    </p>
  </description>
  <url type="homepage">http://ascend4.org/</url>
  <screenshots>
    <screenshot type="default">
     <image>https://sagitter.fedorapeople.org/ascend-screenshots/ascend.png</image>
    </screenshot>
  </screenshots>
  <updatecontact>sagitter_at_fedoraproject.org</updatecontact>
  <url type="bugtracker">http://bugs.ascend4.org/</url>
</component>
EOF

cat > %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<component type="addon">
 <id>freesteam-gtk</id>
 <extends>%{name}.desktop</extends>
 <name>freesteam-gtk</name>
 <summary>Calculate water and steam properties (GUI)</summary>
 <url type="homepage">http://freesteam.sourceforge.net/</url>
 <url type="bugtracker">http://bugs.ascend4.org</url>
 <metadata_license>CC0-1.0</metadata_license>
 <project_license>GPL-2.0+</project_license>
</component>
EOF

##Appdata files validation
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.appdata.xml

# Fixed execute permission and add shebang
pushd %{buildroot}%{_libdir}
 for i in `find . -perm /644 -type f \( -name "*.so" -o -name "*.sh" -o -name "*.py" \)`; do
 chmod a+x $i
done
popd

pushd %{buildroot}%{_libdir}
 for i in `find . -perm /644 -type f \( -name "*.py" \)`; do
 sed -i -e '1i#!%{__python2}' $i
 sed -i 's/\r$//' $i
done
popd

pushd %{buildroot}%{python2_sitearch}
 for i in `find . -perm /644 -type f \( -name "*.so" -o -name "*.py" \)`; do
 chmod a+x $i
done
popd

pushd %{buildroot}%{python2_sitearch}
 for i in `find . -perm /644 -type f \( -name "*.py" \)`; do
 sed -i -e '1i#!%{__python2}' $i
 sed -i 's/\r$//' $i
done
popd

chmod a+x %{buildroot}%{_libdir}/libascend.so.1.0

for file in %{buildroot}%{johnpye}/fprops/test/{ph,sat,sat1,ideal}; do
   chmod a+x $file
done

rm -f %{buildroot}%{johnpye}/fprops/*README*
rm -f %{buildroot}%{johnpye}/datareader/*README.txt
rm -f %{buildroot}%{johnpye}/grena/README*
rm -f %{buildroot}%{johnpye}/fprops/test/*.txt
rm -f %{buildroot}%{models}/test/link/*.txt
##Tricks end

%post
/sbin/ldconfig
update-desktop-database &> /dev/null || :
update-mime-database /usr/share/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :
update-mime-database /usr/share/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%if 0%{?with_check}
%check
# set up your environment for the test suite
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:%{buildroot}%{_libdir}
export ASCENDLIBRARY=%{buildroot}%{models}
# also need to locate any of the solvers that you are needing...
export ASCENDSOLVERS=%{buildroot}%{_libdir}/ascend/solvers
# run the test program to display command-line options available for it
test/test -?
%endif

%files
%license LICENSE.txt
%doc CHANGELOG.txt
%{_bindir}/%{name}
%dir %{johnpye}/fprops/test
%{johnpye}/fprops/test/ph
%{johnpye}/fprops/test/sat
%{johnpye}/fprops/test/sat1
%{johnpye}/fprops/test/ideal
%{gtksourceview_lang_file}
%{python2_sitearch}/%{name}/
%dir  %{_datadir}/%{name}
%{_datadir}/%{name}/glade/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}-app.png
%{_datadir}/icons/hicolor/64x64/%{name}.png
%{_datadir}/icons/text-x-%{name}-model.svg
%{_datadir}/mime/packages/%{name}.xml
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/solvers/*.so
%{_libdir}/libascend.so.1.0
%{_libdir}/libascend.so.1
%dir %{models}
%dir %{models}/sensitivity
%{models}/sensitivity/*.so
%dir %{models}/test
%dir %{models}/test/blackbox
%{models}/test/blackbox/libbboxtest_%{name}.so
%dir %{johnpye}
%dir %{johnpye}/grena
%{johnpye}/grena/libsunpos_%{name}.so
%dir %{johnpye}/extpy
%{johnpye}/extpy/libextpy_%{name}.so
%dir %{johnpye}/extfn
%{johnpye}/extfn/libextfntest_%{name}.so
%dir %{johnpye}/datareader
%{johnpye}/datareader/libdatareader_%{name}.so
%dir %{johnpye}/brent
%{johnpye}/brent/libbrent_%{name}.so
%dir %{johnpye}/nrel
%{johnpye}/nrel/libsunpos_nrel_%{name}.so
%dir %{johnpye}/planck
%{johnpye}/planck/libplanck_ascend.so
%dir %{johnpye}/fprops
%{johnpye}/fprops/libfprops_ascend.so
%{johnpye}/fprops/libheatex_pinch_ascend.so
%{python2_sitearch}/*fprops.*

%files devel
%{_bindir}/%{name}-config
%{_includedir}/%{name}/
%{_libdir}/libascend.so
%{johnpye}/datareader/*.[hc]
%{johnpye}/datareader/parse/*.[hc]
%{johnpye}/nrel/*.[hc]
%{johnpye}/brent/*.c
%{johnpye}/grena/*.[hc]
%{johnpye}/extfn/*.c
%{johnpye}/extpy/*.c
%{johnpye}/planck/*.[hc]
%{models}/test/blackbox/*.c
%{models}/sensitivity/*.c

%files data
%doc models/README* models/johnpye/fprops/README-fprops.txt
%doc models/johnpye/grena/README-grena.txt
%doc models/johnpye/datareader/texttable-README.txt
%doc models/johnpye/fprops/test/README-fpropstest.txt
%doc models/test/link/README-DanteStroeLINK.txt
%dir %{models}
%{models}/*.a4[lc]
%{models}/examples
%{models}/kchittur
%{models}/pending
%{models}/steam
%{models}/test/*/*/*.py
%{models}/test/*/*/*.py[oc]
%{models}/test/*/*/*.a4c
%{models}/test/*/*.py
%{models}/test/*/*.py[oc]
%{models}/test/*/*.a4c
%{models}/test/*.a4[cs]
%{models}/test/ipopt/MD5Hash
%{models}/westerberg
%{models}/solar
%{models}/libraries
%{models}/hydrosim
%{models}/ivpNondimensional
%{models}/ben
%dir %{johnpye}
%{johnpye}/fprops/*.a4c
%{johnpye}/fprops/*.py
%{johnpye}/fprops/*.py[oc]
%{johnpye}/fprops/calcs/
%exclude %{johnpye}/fprops/calcs/*.m
%{johnpye}/fprops/fluids/
%{johnpye}/fprops/scons/
%{johnpye}/fprops/Doxyfile
%{johnpye}/fprops/test/
%{johnpye}/grena/*.a4c
%{johnpye}/grena/grena-date-check.ods
%{johnpye}/extpy/*.a4c
%{johnpye}/extpy/*.py
%{johnpye}/extpy/*.py[oc]
%{johnpye}/extfn/*.a4c
%{johnpye}/extfn/*.py
%{johnpye}/extfn/*.py[oc]
%{johnpye}/datareader/*.a4c
%{johnpye}/datareader/*.py
%{johnpye}/datareader/*.py[oc]
%{johnpye}/datareader/*.csv
%{johnpye}/nrel/*.a4c
%{johnpye}/*.py[oc]
%{johnpye}/*.csv
%{johnpye}/*.a4c
%{johnpye}/*.py

%if 0%{?with_tcltk}
%files -n %{name}-tcltk
%license LICENSE.txt
%{_bindir}/%{name}4
%{tcl_sitearch}/libascendtcl.so
%{tcl_sitelib}/%{name}%{version}/
%{_datadir}/applications/%{name}4.desktop
%{_datadir}/appdata/%{name}4.appdata.xml
%{_datadir}/icons/%{name}4-app.png
%{_datadir}/icons/hicolor/64x64/%{name}4.png
%endif

%if 0%{?with_doc}
%files doc
%doc doc/book.pdf
%endif

%changelog
* Sat Aug 13 2016 Antonio Trande <sagitter@fedoraproject.org> - 0.9.10-11.20151003svn3100
- Fix libraries name

* Sat Aug 13 2016 Antonio Trande <sagitter@fedoraproject.org> - 0.9.10-10.20151003svn3100
- Filtering of private libraries

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-9.20151003svn3100
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon May 02 2016 Antonio Trande <sagitter@fedoraproject.org> - 0.9.10-8.20151003svn3100
- Rebuild for Ipopt-3.12.5

* Thu Apr 14 2016 Antonio Trande <sagitter@fedoraproject.org> - 0.9.10-7.20151003svn3100
- Enabled library filtering
- Patched for GCC6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.10-6.20151003svn3100
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 Antonio Trande <sagitter@fedoraproject.org> 0.9.10-5.20151003svn3100
- Pre-filtering removed

* Sun Nov 29 2015 Antonio Trande <sagitter@fedoraproject.org> 0.9.10-4.20151003svn3100
- 'ascend-libs' merged with 'ascend'
- Old 'ascend-libs' obsoleted

* Wed Nov 11 2015 Antonio Trande <sagitter@fedoraproject.org> 0.9.10-3.20151003svn3100
- Tcl/Tk user interface built
- Fixed pre-scan filtering
- Patched to use linker flags required by hardened builds
- Linker flags set manually

* Tue Oct 20 2015 Antonio Trande <sagitter@fedoraproject.org> 0.9.10-2.20151003svn3100
- Added metainfo file

* Thu Oct 15 2015 Antonio Trande <sagitter@fedoraproject.org> 0.9.10-1.20151003svn3100
- Commit #3100
- SPEC file suitable for TclTk GUI
- Patched to use -Wl,--as-needed flag
- Added appdata files

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-19.20140710svn4695
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild 

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.9.8-18.20140710svn4695
- Rebuilt for GCC 5 C++11 ABI change

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 0.9.8-17.20140710svn4695
- Add an AppData file for the software center

* Thu Feb 26 2015 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-16.20140710svn4695
- Fixed Python code after SWIG update (>= 3.0.3) (bz#1196699)

* Fri Sep 05 2014 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-15.20140710svn4695
- Changed Ipopt and MUMPS minimal requests

* Fri Sep 05 2014 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-14.20140710svn4695
- Rebuild after bz#1135728 fixing

* Sun Aug 24 2014 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-13.20140710svn4695
- Rebuild after Ipopt and MUMPS updating

* Mon Aug 18 2014 Rex Dieter <rdieter@fedoraproject.org> 0.9.8-12.20140710svn4695
- update mime scriptlets

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-11.20140710svn4695
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 10 2014 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-10.20140710svn4695
- Update to new commit (4695)
- Fixed Graphviz 'cgraph' support 

* Tue Jun 24 2014 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-9.20140623svn4683
- Update to new commit (4683)

* Fri Jun 20 2014 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-8.20140429svn4677
- Added explicit dependencies (MUMPS, coin-or-Ipopt, graphviz)

* Sun Jun 08 2014 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-7.20140429svn4677
- Rebuild after Sundials fixing (bz#1105767)

* Tue Jun 03 2014 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-6.20140211svn4638
- Added patch for Swig checking

* Wed May 28 2014 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-5.20140211svn4638
- Fixed sub-package dependencies
- Fixed %%post/%%postun scriptlets for -libs
- URL changed

* Mon Feb 24 2014 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-4.20140211svn4638
- Excluded CMSLV solver
- Included IDA solver option with patch

* Tue Feb 18 2014 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-3.20140211svn4638
- Built a 'libs' sub-package
- Fixed some directory ownerships
- Removed all Group tags
- Added -p options to all 'install' commands
- Added python2-devel BR
- Removed Requires(post/postun) 

* Wed Feb 12 2014 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-2.20140211svn4638
- 'data' sub-package is now arched

* Tue Feb 11 2014 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-1.20140211svn4638
- Update to svn4638 
- Built a 'data' sub-package

* Sat Dec 07 2013 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-1.20131207svn4618
- Removed Tcl/Tk subpackage building because of missing dependencies
  (tktable) 
- Defined two macros for the packaging
- Defined the scriplets in %%post, %%postun, %%posttrans
- Patching compiler flags
- Added CUnit-devel BR and performing Ascend test
- IDA solver excluded

* Sun May 12 2013 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-5
- Removed xgraph as Requires 

* Wed Mar 13 2013 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-4
- doc sub-package changed to noarch
 
* Tue Feb 05 2013 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-3
- Ipopt BuildRequires/Requires changed to coin-or-Ipopt
- Rearranged .h/.c files in %%{_libdir}/%%{name} as devel files

* Tue Feb 05 2013 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-2
- Fixed .desktop files entries for EPEL6

* Thu Jan 24 2013 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-1
- Fixed .desktop files entries for Fedora
- Fixed execute permission of various file
- Fixed non-executable-script warnings

* Thu Jan 24 2013 Antonio Trande <sagitter@fedoraproject.org> 0.9.8-0
- Initial package

